%define version 8.2.0
%define rel 1

Summary:        An DNS protocol implementation with client and server
Name:           python-twisted-names
Version: %version
Release: %mkrel %rel
Source0:        http://tmrc.mit.edu/mirror/twisted/Names/8.1/TwistedNames-%{version}.tar.bz2
License:        MIT
Group:          Development/Python
URL:            http://twistedmatrix.com/trac/wiki/TwistedNames
BuildRoot:      %{_tmppath}/%{name}-buildroot
BuildRequires:	python-devel python-twisted-core
Requires:       python-twisted-core

%description
Twisted Names is both a domain name server as well as a client resolver
library.

Twisted Names comes with an "out of the box" nameserver which can read most
BIND-syntax zone files as well as a simple Python-based configuration format.
Twisted Names can act as an authoritative server, perform zone transfers from
a master to act as a secondary, act as a caching nameserver, or any combination
of these.

Twisted Names' client resolver library provides functions to query for all
commonly used record types as well as a replacement for the blocking
gethostbyname() function provided by the Python stdlib socket module.

%prep
%setup -q -n TwistedNames-%version

%build
%__python setup.py build

%install
%__rm -rf %buildroot
%__python setup.py install --root  %buildroot --install-purelib=%py_platsitedir

%clean
%__rm -rf %buildroot

%files
%defattr(0644,root,root,0755)
%doc LICENSE README doc/*
%py_platsitedir/twisted/names/
%py_platsitedir/twisted/plugins/*
%if %mdkversion >= 200710
%py_platsitedir/Twisted*egg-info
%endif




%changelog
* Sat Jan 03 2009 Jérôme Soyer <saispo@mandriva.org> 8.2.0-1mdv2009.1
+ Revision: 323855
- New upstream release

* Thu Dec 25 2008 Adam Williamson <awilliamson@mandriva.com> 8.1.0-2mdv2009.1
+ Revision: 318662
- rebuild for python 2.6

* Sat Jun 14 2008 Michael Scherer <misc@mandriva.org> 8.1.0-1mdv2009.0
+ Revision: 219071
-update to new version

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix description-line-too-long

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 19 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-2mdv2008.1
+ Revision: 134232
- rebuild

* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.4.0-1mdv2008.1
+ Revision: 126223
- kill re-definition of %%buildroot on Pixel's request


* Wed Feb 28 2007 Michael Scherer <misc@mandriva.org> 0.4.0-1mdv2007.0
+ Revision: 127325
- version 0.4.0

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.1
+ Revision: 88454
- Import python-twisted-names

* Wed Nov 29 2006 Götz Waschk <waschk@mandriva.org> 0.3.0-2mdv2007.1
- update file list

* Wed May 31 2006 Michael Scherer <misc@mandriva.org> 0.3.0-1mdv2007.0
- 0.3.0

* Wed Jan 25 2006 Michael Scherer <misc@mandriva.org> 0.1.0-2mdk
- make it arch dependant, use macro

* Sun May 15 2005 Michael Scherer <misc@mandriva.org> 0.1.0-1mdk
- Initial package

